package com.sun.solarisinstall.panels;

// Copyright (c) 1996 Sun Microsystems, Inc. All Rights Reserved.

/**
 * Enumeration for <CODE>LayoutManager</CODE> <CODE>Alignment</CODE> values.
 * 
 * @version	1.7	10/22/96
 * @author	Sun Microsystems, Inc.
 */
public class LAYOUT_ALIGNMENT {
	private static final String sccs_id = "@(#)LAYOUT_ALIGNMENT.java 1.7 96/10/22 SMI";

	public static final LAYOUT_ALIGNMENT CENTER = new LAYOUT_ALIGNMENT();
	public static final LAYOUT_ALIGNMENT LEFT   = new LAYOUT_ALIGNMENT();
	public static final LAYOUT_ALIGNMENT RIGHT  = new LAYOUT_ALIGNMENT();
	public static final LAYOUT_ALIGNMENT TOP    = new LAYOUT_ALIGNMENT();
	public static final LAYOUT_ALIGNMENT BOTTOM = new LAYOUT_ALIGNMENT();
	public static final LAYOUT_ALIGNMENT EXPAND = new LAYOUT_ALIGNMENT();
	public static final LAYOUT_ALIGNMENT FIT    = new LAYOUT_ALIGNMENT();

	private LAYOUT_ALIGNMENT() { }

    /**
     * Returns the version of this class.
     */
    public String getClassVersion() {
        return (sccs_id);
    }

}
